require "stype/version"
require "uri"

module Stype
  class SURI
    class << self
      def parse(str)
        str.match(/http:\/\/|https:\/\//) ? URI.parse(str) : nil
      end
    end
  end
end

class String
  def to_uri
    Stype::SURI.parse(self)
  end
end
